# This file created by conda-build 3.21.4
# meta.yaml template originally from:
# /tmp/build/80754af9/combined_recipe, last modified Thu Jul  8 17:55:03 2021
# ------------------------------------------------

package:
  name: bokeh
  version: 2.3.3
source:
  sha256: a5fdcc181835561447fcc5a371300973fce4114692d5853addec284d1cdeb677
  url: https://pypi.io/packages/source/b/bokeh/bokeh-2.3.3.tar.gz
build:
  entry_points:
    - bokeh = bokeh.__main__:main
  number: '0'
  script:
    - /tmp/build/80754af9/bokeh_1625766910825/_h_env_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehold_placehol/bin/python
      -m pip install . -vv
  string: py38h06a4308_0
requirements:
  build: []
  host:
    - _libgcc_mutex 0.1 main
    - _openmp_mutex 4.5 1_gnu
    - ca-certificates 2021.7.5 h06a4308_1
    - certifi 2021.5.30 py38h06a4308_0
    - ld_impl_linux-64 2.35.1 h7274673_9
    - libffi 3.3 he6710b0_2
    - libgcc-ng 9.3.0 h5101ec6_17
    - libgomp 9.3.0 h5101ec6_17
    - libstdcxx-ng 9.3.0 hd4cf53a_17
    - ncurses 6.2 he6710b0_1
    - openssl 1.1.1k h27cfd23_0
    - pip 21.1.3 py38h06a4308_0
    - python 3.8.10 h12debd9_8
    - readline 8.1 h27cfd23_0
    - setuptools 52.0.0 py38h06a4308_0
    - sqlite 3.36.0 hc218d9a_0
    - tk 8.6.10 hbc83047_0
    - wheel 0.36.2 pyhd3eb1b0_0
    - xz 5.2.5 h7b6447c_0
    - zlib 1.2.11 h7b6447c_3
  run:
    - jinja2 >=2.9
    - numpy >=1.11.3
    - packaging >=16.8
    - pillow >=7.1.0
    - python >=3.8,<3.9.0a0
    - python-dateutil >=2.1
    - pyyaml >=3.10
    - tornado >=5.1
    - typing_extensions >=3.7.4
test:
  commands:
    - pip check
    - bokeh --help
  imports:
    - bokeh
    - bokeh.application
    - bokeh.application.handlers
    - bokeh.client
    - bokeh.command
    - bokeh.command.subcommands
    - bokeh.core
    - bokeh.core.property
    - bokeh.core.validation
    - bokeh.models
    - bokeh.models.widgets
    - bokeh.plotting
    - bokeh.protocol
    - bokeh.protocol.messages
    - bokeh.sampledata
    - bokeh.server
    - bokeh.server.views
    - bokeh.sphinxext
    - bokeh.themes
    - bokeh.util
  requires:
    - pip
about:
  description: 'Bokeh is a Python interactive visualization library that targets

    modern web browsers for presentation. Its goal is to provide elegant,

    concise  construction of novel graphics in the style of D3.js, and to

    extend this capability with high-performance interactivity over very

    large or streaming datasets. Bokeh can help anyone who would like to

    quickly and easily create interactive plots, dashboards, and data

    applications.

    '
  dev_url: http://github.com/bokeh/bokeh
  doc_url: http://bokeh.pydata.org/en/latest/docs/user_guide.html
  home: http://bokeh.pydata.org/
  license: BSD-3-Clause
  license_family: BSD
  license_file: LICENSE.txt
  summary: Statistical and novel interactive HTML plots for Python
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - almarklein
    - jakirkham
    - mattpap
    - ocefpaf
    - philippjfr
